# swoole_event_cycle

定义事件循环周期执行函数。此函数会在每一轮事件循环结束时调用。

```php
bool swoole_event_cycle(callable $callback, bool $before = false);
```

* `$callback`要设置的回调函数，必须为可执行。`$callback`为`null`时表示清除`cycle`函数
* 已设置`cycle`函数，重新设置时会覆盖上一次的设定
* `$before`在`EventLoop`之前调用该函数。此参数需要`2.1.2`/`1.10.3`或更高版本
* 设置成功返回`true`

可以同时存在`before=true`和`before=false`两个回调函数。

> 需要`1.9.24`或更高版本

使用实例
---
```php
Swoole\Timer::tick(2000, function ($id) {
	var_dump($id);
});

Swoole\Event::cycle(function () {
	echo "hello [1]\n";
	Swoole\Event::cycle(function () {
		echo "hello [2]\n";
		Swoole\Event::cycle(null);
	});
});
```